# medz/helpers.py
#
#

""" helpers package. """

__copyright__ = "Copyright 2015, B.H.J Thate"

## IMPORT

import re

## NAME

def get_type(obj): return get_named(obj).split(".")[-1]

def get_named(obj): return get_name(obj).split()[-1][1:-2]

def get_name(obj):
    t = str(type(obj))
    s = str(obj)
    #print(t, s)
    if "function" in t:
        pre, post = s.split(" at ", 1)
        pre, post = pre.split()
        name = "<function '" + post + "'>"
    elif "module" in t:
        pre, post = s.split(" from ", 1)
        name = "<" + pre[1:] + ">"
    elif "class" in t:
        if "method" in t:
           pre, post = s.split(" of ", 1)
           name = "<method '" + pre.split()[-1] + "'>"
        else:
           pre, post = t.split("class ", 1)
           name = "<ding '" + post[:-1][1:-1] + "'>"
    elif "built-in" in t:
        name = "<" + t + ">"
    return name

